%define aurox_ver 9.4
%define rel 19

ExcludeArch: ppc64
Name: anaconda
Version: 9.2
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Summary: The Aurox Linux installation program.
Group: Applications/System
Source: anaconda-9.2.tar.bz2
Source1: anaconda-lat2-16.psf
Source2: anaconda-lat1-16.psf
Patch: anaconda-9.2-updates.patch
Patch1: anaconda-9.2-newpatches7.patch
# do not include modules for smp kernel in Everything: they will pull smp kernel
Patch2: anaconda-9.2-everythingnosmp.patch
# fix formatting of old-style installation progress
Patch3: anaconda-9.2-oldguiprogress.patch
# add ideCdList function for use in booty
Patch4: anaconda-9.2-idecdlist.patch
Patch5: anaconda-9.2-updatepl.patch
# look for aurox-release file, not redhat-release
Patch6: anaconda-9.2-releasefile.patch
# ask for language used - before testing CD
Patch7: anaconda-9.2-selectlang.patch
# while building installer, use new names of the packages (redhat-config-* are now system-config-*)
Patch8: anaconda-9.2-newpkgnames.patch
# LDP edition modifications:
# no server class available
Patch100: anaconda-9.2-noserverclass.patch
Patch101: anaconda-9.2-noemacs.patch

BuildPreReq: pump-devel >= 0.8.15, kudzu-devel >= 1.1.0, pciutils-devel, bzip2-devel, e2fsprogs-devel, python-devel gtk2-devel rpm-python >= 4.2-0.61, newt-devel, rpm-devel, gettext >= 0.11, modutils-devel, rhpl, booty, libxml2-python, zlib-devel, bogl-devel >= 0:0.1.9-17, bogl-bterm >= 0:0.1.9-17, elfutils-devel, beecrypt-devel
%ifarch i386
BuildRequires: dietlibc
%endif
Prereq: chkconfig /etc/init.d
Requires: rpm-python >= 4.2-0.61, rhpl > 0.63, parted >= 1.6.3-7
Url: http://rhlinux.redhat.com/anaconda/

BuildRoot: %{_tmppath}/anaconda-9.2

%description
The anaconda package contains the Red Hat Linux installation program.  
These files are of little use on an already installed system.

%package runtime
Summary: Aurox Linux installer portions needed only for fresh installs.
Group: Applications/System
AutoReqProv: false

%description runtime
The anaconda-runtime package contains parts of the Aurox Linux
installer which are needed for installing new systems. These files are
used to build Aurox Linux media sets, but are not meant for use on
already installed systems.

%prep

%setup -q -n %{name}-%{version}
%patch -p1
%patch1 -p1
# post-9.3 fixes
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
# LDP paches
#%patch100 -p1
#%patch101 -p1
find . -name \.svn -exec rm -rf \{} \; || :

cp -f %{SOURCE1} bootdisk/i386/lat2_16.psf
cp -f %{SOURCE2} bootdisk/i386/lat1_16.psf
%build
make depend
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
#strip $RPM_BUILD_ROOT/usr/sbin/ddcprobe

strip $RPM_BUILD_ROOT/usr/lib/anaconda/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
%doc docs/command-line.txt
%doc docs/install-methods.txt
%doc docs/kickstart-docs.txt
%doc docs/kickstart-docs.html
%doc docs/mediacheck.txt
%doc docs/anaconda-release-notes.txt
/usr/bin/mini-wm
/usr/sbin/anaconda
/usr/share/anaconda
/usr/share/locale/*/*/*
/usr/lib/anaconda

%files runtime
%defattr(-,root,root)
/usr/lib/anaconda-runtime

%triggerun -- anaconda < 8.0-1
/sbin/chkconfig --del reconfig >/dev/null 2>&1 || :

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* Wed May 12 2004 Aurox Team <aurox@aurox.org> 0:9.2-9.4.aur.19
- while building installer, use new names of the *-config-* packages
- ask for language used - before testing CD
- now really apply the release file patch
- fix warning message displayed during Aurox upgrade
- remove .svn dirs
- rebuild for full (non-ldp) release
- fix mismatch in CD required message (Polish trnaslation)
- remove emacs from Workstation class: we are not shipping emacs with LDP edition
- really apply the ideCdList patch
- build for Linux4Beginners edition: remove server class
- add function returning list of IDE CD drives for booty
- GUI and package selection fixes
- remove unnecessary files from bootdisk _before_ copying kernel
- fix building and more untranslated messages
- add time zones to the pot
- fix one untranslated string "configuration..."
- update Polish translation
- use splash image on images greater than 1445 only
- update strings regarding Red Hat Linux
- update Polish translation
- fix building installer; add default language settings; replace some of the 'Red Hat' strings with Aurox
- recognize aurox-release; upgrade from both RHL, Fedora and Aurox
- fix Polish language in lang-table

* %{date} Anaconda team <bugzilla@redhat.com>
- built new version from CVS

* Tue Oct  8 2002 Jeremy Katz <katzj@redhat.com>
- back to mainstream rpm instead of rpm404

* Mon Sep  9 2002 Jeremy Katz <katzj@redhat.com>
- can't buildrequire dietlibc and kernel-pcmcia-cs since they don't always
  exist

* Wed Aug 21 2002 Jeremy Katz <katzj@redhat.com>
- added URL

* Thu May 23 2002 Jeremy Katz <katzj@redhat.com>
- add require and buildrequire on rhpl

* Tue Apr 02 2002 Michael Fulbright <msf@redhat.com>
- added some more docs

* Fri Feb 22 2002 Jeremy Katz <katzj@redhat.com>
- buildrequire kernel-pcmcia-cs as we've sucked the libs the loader needs 
  to there now

* Thu Feb 07 2002 Michael Fulbright <msf@redhat.com>
- goodbye reconfig

* Thu Jan 31 2002 Jeremy Katz <katzj@redhat.com>
- update the BuildRequires a bit

* Fri Jan  4 2002 Jeremy Katz <katzj@redhat.com>
- ddcprobe is now done from kudzu

* Wed Jul 18 2001 Jeremy Katz <katzj@redhat.com>
- own /usr/lib/anaconda and /usr/share/anaconda

* Fri Jan 12 2001 Matt Wilson <msw@redhat.com>
- sync text with specspo

* Thu Aug 10 2000 Matt Wilson <msw@redhat.com>
- build on alpha again now that I've fixed the stubs

* Wed Aug  9 2000 Michael Fulbright <drmike@redhat.com>
- new build

* Fri Aug  4 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- allow also subvendorid and subdeviceid in trimpcitable

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- moved init script for reconfig mode to /etc/init.d/reconfig
- move the initscript back to /etc/rc.d/init.d
- Prereq: /etc/init.d

* Thu Feb 03 2000 Michael Fulbright <drmike@redhat.com>
- strip files
- add lang-table to file list

* Wed Jan 05 2000 Michael Fulbright <drmike@redhat.com>
- added requirement for rpm-python

* Mon Dec 06 1999 Michael Fulbright <drmike@redhat.com>
- rename to 'anaconda' instead of 'anaconda-reconfig'

* Fri Dec 03 1999 Michael Fulbright <drmike@redhat.com>
- remove ddcprobe since we don't do X configuration in reconfig now

* Tue Nov 30 1999 Michael Fulbright <drmike@redhat.com>
- first try at packaging reconfiguration tool

